Skip to main content
`Ctrl`+`K`

# DistortionLookupTable

class astropy.wcs.DistortionLookupTable(table, crpix, crval, cdelt)

  Bases: `object`

  Represents a single lookup table for a distortion paper transformation.

  Parameters:
    table 2-dimensional `array`

      The distortion lookup table.

    crpix 2-tuple

      The distortion array reference pixel, in FITS Header format: 1-based indexing, (x,y) order.

    crval 2-tuple

      The image array pixel coordinate, in FITS Header format: 1-based indexing, (x,y) order.

    cdelt 2-tuple

      The grid step size

  Attributes Summary

  `cdelt` | `double array[naxis]` Coordinate increments (`CDELTia`) for each coord axis.
  `crpix` | `double array[naxis]` Coordinate reference pixels (`CRPIXja`) for each pixel axis.
  `crval` | `double array[naxis]` Coordinate reference values (`CRVALia`) for each coordinate axis.
  `data` | `float array` The array data for the `DistortionLookupTable`.

  Methods Summary

  `get_offset`(x, y) | Returns the offset as defined in the distortion lookup table.

  Attributes Documentation

  cdelt

    `double array[naxis]` Coordinate increments (`CDELTia`) for each coord axis.

    If a `CDi_ja` linear transformation matrix is present, a warning is raised and `cdelt` is ignored. The `CDi_ja` matrix may be deleted by:

        del wcs.wcs.cd

    An undefined value is represented by NaN.

  crpix

    `double array[naxis]` Coordinate reference pixels (`CRPIXja`) for each pixel axis.

  crval

    `double array[naxis]` Coordinate reference values (`CRVALia`) for each coordinate axis.

  data

    `float array` The array data for the `DistortionLookupTable`.

  Methods Documentation

  get_offset(x, y)

    Returns the offset as defined in the distortion lookup table.

    Returns:
      coordinate(2,) `python:tuple`

        The offset from the distortion table for pixel point (x, y).